{
  "name": "@simple-template/app",
  "version": "1.0.0",
  "private": true,
  "description": "simple app",
  "templateInfo": {
    "name": "default",
    "typescript": true,
    "css": "Sass",
    "framework": "Vue3"
  },
  "scripts": {
    "prepare": "echo \"Git hooks are managed by ../../.githooks\"",
    "new": "taro new",
    "build:weapp": "taro build --type weapp",
    "build:swan": "taro build --type swan",
    "build:alipay": "taro build --type alipay",
    "build:tt": "taro build --type tt",
    "build:h5": "taro build --type h5",
    "build:rn": "taro build --type rn",
    "build:qq": "taro build --type qq",
    "build:jd": "taro build --type jd",
    "build:harmony-hybrid": "taro build --type harmony-hybrid",
    "dev:weapp": "pnpm build:weapp --watch",
    "dev:swan": "pnpm build:swan --watch",
    "dev:alipay": "pnpm build:alipay --watch",
    "dev:tt": "pnpm build:tt --watch",
    "dev:h5": "pnpm build:h5 --watch",
    "dev:rn": "pnpm build:rn --watch",
    "dev:qq": "pnpm build:qq --watch",
    "dev:jd": "pnpm build:jd --watch",
    "dev:harmony-hybrid": "pnpm build:harmony-hybrid --watch",
    "lint": "eslint --ignore-path ../.eslintignore \"{src,config}/**/*.{vue,js,ts,tsx}\" && pnpm --dir .. exec stylelint \"app/src/**/*.{vue,css,scss}\" --config ./stylelint.config.cjs --ignore-path ./.stylelintignore",
    "typecheck": "tsc --noEmit"
  },
  "browserslist": [
    "defaults and fully supports es6-module",
    "maintained node versions"
  ],
  "author": "",
  "dependencies": {
    "@babel/runtime": "^7.24.4",
    "@qiun/ucharts": "2.5.0-20230101",
    "@tarojs/components": "4.2.0",
    "@tarojs/helper": "4.2.0",
    "@tarojs/plugin-framework-vue3": "4.2.0",
    "@tarojs/plugin-platform-alipay": "4.2.0",
    "@tarojs/plugin-platform-h5": "4.2.0",
    "@tarojs/plugin-platform-harmony-hybrid": "4.2.0",
    "@tarojs/plugin-platform-jd": "4.2.0",
    "@tarojs/plugin-platform-qq": "4.2.0",
    "@tarojs/plugin-platform-swan": "4.2.0",
    "@tarojs/plugin-platform-tt": "4.2.0",
    "@tarojs/plugin-platform-weapp": "4.2.0",
    "@tarojs/runtime": "4.2.0",
    "@tarojs/shared": "4.2.0",
    "@tarojs/taro": "4.2.0",
    "pinia": "^2.3.1",
    "taro-ui-vue3": "1.0.0-alpha.21",
    "vue": "^3.0.0",
    "wxmp-rsa": "^2.1.0"
  },
  "devDependencies": {
    "@babel/core": "^7.24.4",
    "@babel/plugin-transform-class-properties": "7.25.9",
    "@tarojs/cli": "4.2.0",
    "@tarojs/plugin-generator": "4.2.0",
    "@tarojs/vite-runner": "4.2.0",
    "@types/minimatch": "^5",
    "@vitejs/plugin-vue": "^5.0.4",
    "@vitejs/plugin-vue-jsx": "^3.1.0",
    "babel-preset-taro": "4.2.0",
    "eslint": "^8.57.0",
    "eslint-config-taro": "4.2.0",
    "eslint-plugin-vue": "^9.17.0",
    "postcss": "^8.5.6",
    "sass": "^1.75.0",
    "terser": "^5.30.4",
    "typescript": "^5.4.5",
    "vite": "^4.2.0"
  }
}
